Bug 725979

Summary: foomatic is blocking perl updates
Product: [Fedora] Fedora Reporter: Nicolas Mailhot <nicolas.mailhot>
Component: foomaticAssignee: Petr Šabata <psabata>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: cweyl, iarnell, jpopelka, kasal, lkundrak, mmaslano, ppisar, psabata, rc040203, tcallawa, twaugh
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: foomatic-4.0.8-2.fc16 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-08-22 15:07:49 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Nicolas Mailhot 2011-07-27 08:31:05 UTC
yum update perl
Loaded plugins: downloadonly, refresh-packagekit
Setting up Update Process
Resolving Dependencies
--> Running transaction check
---> Package perl.x86_64 4:5.14.1-182.fc16 will be updated
--> Processing Dependency: perl(:MODULE_COMPAT_5.12.3) for package: foomatic-4.0.8-1.fc16.x86_64
--> Processing Dependency: perl = 4:5.14.1-182.fc16 for package: perl-Archive-Tar-1.76-182.fc16.noarch
--> Processing Dependency: perl = 4:5.14.1-182.fc16 for package: 4:perl-macros-5.14.1-182.fc16.x86_64
--> Processing Dependency: perl = 4:5.14.1-182.fc16 for package: perl-PathTools-3.33-182.fc16.x86_64
--> Processing Dependency: perl = 4:5.14.1-182.fc16 for package: perl-Scalar-List-Utils-1.23-182.fc16.x86_64
--> Processing Dependency: perl = 4:5.14.1-182.fc16 for package: 4:perl-libs-5.14.1-182.fc16.x86_64
--> Processing Dependency: perl = 4:5.14.1-182.fc16 for package: 1:perl-Package-Constants-0.02-182.fc16.noarch
--> Processing Dependency: perl = 4:5.14.1-182.fc16 for package: 1:perl-IO-Zlib-1.10-182.fc16.noarch
--> Processing Dependency: perl = 4:5.14.1-182.fc16 for package: perl-Test-Harness-3.23-182.fc16.noarch
--> Processing Dependency: perl = 4:5.14.1-182.fc16 for package: perl-CPAN-1.9600-182.fc16.noarch
--> Processing Dependency: perl = 4:5.14.1-182.fc16 for package: 1:perl-Pod-Escapes-1.04-182.fc16.noarch
--> Processing Dependency: perl = 4:5.14.1-182.fc16 for package: 4:perl-devel-5.14.1-182.fc16.x86_64
--> Processing Dependency: perl = 4:5.14.1-182.fc16 for package: 1:perl-Module-Pluggable-3.90-182.fc16.noarch
--> Processing Dependency: perl = 4:5.14.1-182.fc16 for package: perl-threads-1.83-182.fc16.x86_64
--> Processing Dependency: perl = 4:5.14.1-182.fc16 for package: perl-ExtUtils-MakeMaker-6.57.5-182.fc16.noarch
--> Processing Dependency: perl = 4:5.14.1-182.fc16 for package: 3:perl-version-0.88-182.fc16.noarch
--> Processing Dependency: perl = 4:5.14.1-182.fc16 for package: 1:perl-Digest-SHA-5.61-182.fc16.x86_64
--> Processing Dependency: perl = 4:5.14.1-182.fc16 for package: perl-threads-shared-1.37-182.fc16.x86_64
--> Processing Dependency: perl = 4:5.14.1-182.fc16 for package: 1:perl-ExtUtils-ParseXS-2.2210-182.fc16.noarch
--> Processing Dependency: perl = 4:5.14.1-182.fc16 for package: 1:perl-Pod-Simple-3.16-182.fc16.noarch
---> Package perl.x86_64 4:5.14.1-183.fc16 will be an update
--> Running transaction check
---> Package perl.x86_64 4:5.14.1-182.fc16 will be updated
--> Processing Dependency: perl(:MODULE_COMPAT_5.12.3) for package: foomatic-4.0.8-1.fc16.x86_64
---> Package perl-Archive-Tar.noarch 0:1.76-182.fc16 will be updated
---> Package perl-Archive-Tar.noarch 0:1.76-183.fc16 will be an update
---> Package perl-CPAN.noarch 0:1.9600-182.fc16 will be updated
---> Package perl-CPAN.noarch 0:1.9600-183.fc16 will be an update
---> Package perl-Digest-SHA.x86_64 1:5.61-182.fc16 will be updated
---> Package perl-Digest-SHA.x86_64 1:5.61-183.fc16 will be an update
---> Package perl-ExtUtils-MakeMaker.noarch 0:6.57.5-182.fc16 will be updated
---> Package perl-ExtUtils-MakeMaker.noarch 0:6.57.5-183.fc16 will be an update
---> Package perl-ExtUtils-ParseXS.noarch 1:2.2210-182.fc16 will be updated
---> Package perl-ExtUtils-ParseXS.noarch 1:2.2210-183.fc16 will be an update
---> Package perl-IO-Zlib.noarch 1:1.10-182.fc16 will be updated
---> Package perl-IO-Zlib.noarch 1:1.10-183.fc16 will be an update
---> Package perl-Module-Pluggable.noarch 1:3.90-182.fc16 will be updated
---> Package perl-Module-Pluggable.noarch 1:3.90-183.fc16 will be an update
---> Package perl-Package-Constants.noarch 1:0.02-182.fc16 will be updated
---> Package perl-Package-Constants.noarch 1:0.02-183.fc16 will be an update
---> Package perl-PathTools.x86_64 0:3.33-182.fc16 will be updated
---> Package perl-PathTools.x86_64 0:3.33-183.fc16 will be an update
---> Package perl-Pod-Escapes.noarch 1:1.04-182.fc16 will be updated
---> Package perl-Pod-Escapes.noarch 1:1.04-183.fc16 will be an update
---> Package perl-Pod-Simple.noarch 1:3.16-182.fc16 will be updated
---> Package perl-Pod-Simple.noarch 1:3.16-183.fc16 will be an update
---> Package perl-Scalar-List-Utils.x86_64 0:1.23-182.fc16 will be updated
---> Package perl-Scalar-List-Utils.x86_64 0:1.23-183.fc16 will be an update
---> Package perl-Test-Harness.noarch 0:3.23-182.fc16 will be updated
---> Package perl-Test-Harness.noarch 0:3.23-183.fc16 will be an update
---> Package perl-devel.x86_64 4:5.14.1-182.fc16 will be updated
---> Package perl-devel.x86_64 4:5.14.1-183.fc16 will be an update
---> Package perl-libs.x86_64 4:5.14.1-182.fc16 will be updated
---> Package perl-libs.x86_64 4:5.14.1-183.fc16 will be an update
---> Package perl-macros.x86_64 4:5.14.1-182.fc16 will be updated
---> Package perl-macros.x86_64 4:5.14.1-183.fc16 will be an update
---> Package perl-threads.x86_64 0:1.83-182.fc16 will be updated
---> Package perl-threads.x86_64 0:1.83-183.fc16 will be an update
---> Package perl-threads-shared.x86_64 0:1.37-182.fc16 will be updated
---> Package perl-threads-shared.x86_64 0:1.37-183.fc16 will be an update
---> Package perl-version.noarch 3:0.88-182.fc16 will be updated
---> Package perl-version.noarch 3:0.88-183.fc16 will be an update
--> Finished Dependency Resolution
Error: Package: foomatic-4.0.8-1.fc16.x86_64 (@koji-f16-builds/16)
           Requires: perl(:MODULE_COMPAT_5.12.3)
           Removing: 4:perl-5.14.1-182.fc16.x86_64 (@koji-f16-builds/16)
               perl(:MODULE_COMPAT_5.12.3)
           Updated By: 4:perl-5.14.1-183.fc16.x86_64 (koji-f16-builds)
               Not found
           Available: 4:perl-5.12.4-159.fc15.x86_64 (koji-f15-builds)
               perl(:MODULE_COMPAT_5.12.3)
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest

Comment 1 Petr Šabata 2011-07-27 08:40:31 UTC
foomatic needs to be rebuilt with perl5.14 (again).

Comment 2 Fedora Update System 2011-07-27 08:57:12 UTC
foomatic-4.0.8-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/foomatic-4.0.8-2.fc16

Comment 3 Fedora Update System 2011-08-01 20:14:29 UTC
Package foomatic-4.0.8-2.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing foomatic-4.0.8-2.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/foomatic-4.0.8-2.fc16
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2011-08-22 15:07:43 UTC
foomatic-4.0.8-2.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.